package main

import (
	"flag"
	"fmt"
	"os"

	"git.buddy.wtf/challenges/buckets-of-fun/lib/application"
)

func main() {
	if err := run(); err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
}

func run() error {
	flag.Parse()
	app, err := application.New(flag.Args()...)
	if err != nil {
		return err
	}
	return app.Run()
}
